using System.Collections.Generic;

namespace Stat.IDAL
{
    public interface INews
    {
        bool Insert(Model.News model);
        bool Update(Model.News model);
        bool Delete(int id);
        /// <summary>
        /// 获取新闻数据
        /// </summary>
        /// <param name="newsModel"></param>
        /// <param name="pageModel"></param>
        /// <returns></returns>
        IList<Model.News> Get(Model.News newsModel, ref Model.PageInfo pageModel);
        /// <summary>
        /// 
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        IList<Model.News> Get(int id);
        /*-----------------------------------------------------------------------*/
        /// <summary>
        /// 
        /// </summary>
        IList<Model.News> GetTop1(int Num, int IsTop);


    }
}
